## License

License — License provider for applications

## Functions

const char * | eos_get_license_display_name ()
GFile * | eos_get_license_file ()

## Types and Values

#define | EOS_LICENSE_PUBLIC_DOMAN
#define | EOS_LICENSE_OWNER_PERMISSION
#define | EOS_LICENSE_NO_LICENSE

## Description

It provides an API to serve license information and files to applications.

## Functions

### eos_get_license_display_name ()

    const char *
    eos_get_license_display_name (const gchar *license);

Retrieves the display name for the specified license and the current locale.

#### Parameters

license | The license name |

#### Returns

A string for the specified `license` name and the current locale.

Since: 0.4

### eos_get_license_file ()

    GFile *
    eos_get_license_file (const gchar *license);

Retrieves a GFile for the specified licene and the current locale.

#### Parameters

license | The license name |

#### Returns

A GFile for the specified `license` name and the current locale. It returns `NULL` if the license is not found or does not have an associated file.

[transfer full][allow-none]

Since: 0.4

## Types and Values

### EOS_LICENSE_PUBLIC_DOMAN

    #define EOS_LICENSE_PUBLIC_DOMAN "Public domain"

A string constant that represents the "Public domain" attribution level.

Since: 0.4

### EOS_LICENSE_OWNER_PERMISSION

    #define EOS_LICENSE_OWNER_PERMISSION "Owner permission"

A string constant that represents the "Owner permission" attribution level.

Since: 0.4

### EOS_LICENSE_NO_LICENSE

    #define EOS_LICENSE_NO_LICENSE "No license"

A string constant that represents the "No license" attribution level.

Since: 0.4